Preseeding encrypted lvm fails with "An error occurred while creating the keyfile"

Bug #1386113 reported by Dariusz Gadomski on 2014-10-27
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Colin Watson
Trusty
Medium
Mathieu Trudel-Lapierre

Bug Description

[Impact]
Ubuntu installations, even using the graphical installer, are often scripted in order to reduce the burden on administrators. With the increasing importance of security now in enterprise environments, scripted installations may be used to set up fully-encrypted desktop systems, which in the end need to be fed a custom password for full-disk encryption; by the end user or otherwise, which may need to explicitly not be scripted.

[Test case]
Use the included preseed file: one could customize a CD to include it in preseed/.
1 - Boot on the CD
2 - Press F6 to see the full command-line
3 - Edit the command-line to point to the custom preseed
4 - Add "only-ubiquity automatic-ubiquity" to boot in the installer, set up for automatic install.
5 - Start the system by hitting the Enter key.

The installation should complete succesfully. Without the patch, it will crash, and show an error message repeatedly.

[Regression Potential]
This affects the encryption page of the installer only, so could cause issues in the rendering of that page, or cause properly-scripted encryption settings to be missing in case of a regression.

---

I was trying to preseed creating encrypted lvm for enabling unattended installation with ubiquity 2.18.8.2 (in trusty).

The password has been preseeded.

The installation fails before partitioning with a message box:
"Keyfile creation failed. An error occurred while creating the keyfile."

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: ubiquity (not installed)
ProcVersionSignature: Ubuntu 3.16.0-23.31-generic 3.16.4
Uname: Linux 3.16.0-23-generic x86_64
ApportVersion: 2.14.7-0ubuntu8
Architecture: amd64
CurrentDesktop: Unity
Date: Mon Oct 27 11:05:16 2014
SourcePackage: ubiquity
UpgradeStatus: No upgrade log present (probably fresh install)

Dariusz Gadomski (dgadomski) wrote :
Dariusz Gadomski (dgadomski) wrote :
Dariusz Gadomski (dgadomski) wrote :

I have discussed this issue with Colin Watson. He has prepared the attached patch.

The attachment "fix-keyfile-error.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Dimitri John Ledkov (xnox) wrote :

+1, lgtm.

Changed in ubiquity (Ubuntu):
status: New → In Progress
assignee: nobody → Dariusz Gadomski (dgadomski)
Colin Watson (cjwatson) on 2014-10-29
Changed in ubiquity (Ubuntu):
assignee: Dariusz Gadomski (dgadomski) → Colin Watson (cjwatson)
status: In Progress → Fix Committed
importance: Undecided → Medium
importance: Medium → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.21.0

---------------
ubiquity (2.21.0) vivid; urgency=medium

  [ Colin Watson ]
  * Go forward rather than back in response to partman-crypto/passphrase and
    partman-crypto/passphrase-again questions if the UI is not available but
    they have been preseeded (LP: #1386113).

  [ Iain Lane ]
  * Port the Vte widget to use the 2.91 API.

  [ Dimitri John Ledkov ]
  * Automatic update of included source packages: choose-mirror
    2.57ubuntu2, netcfg 1.119ubuntu2, partconf 1.46, partman-base
    179ubuntu1, partman-basicfilesystems 104ubuntu1, partman-lvm 98,
    preseed 1.64ubuntu2.
 -- Dimitri John Ledkov <email address hidden> Wed, 12 Nov 2014 14:34:42 +0000

Changed in ubiquity (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubiquity (Ubuntu Trusty):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
description: updated
Changed in ubiquity (Ubuntu Trusty):
status: Triaged → In Progress

Hello Dariusz, or anyone else affected,

Accepted ubiquity into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubiquity/2.18.8.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubiquity (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.18.8.8

---------------
ubiquity (2.18.8.8) trusty; urgency=medium

  * ubiquity/plugins/ubi-partman.py: allow prompting for a missing passphrase
    on preseeded installs, if they are requesting to setup crypto.
    (LP: #1386131)
  * Go forward rather than back in response to partman-crypto/passphrase and
    partman-crypto/passphrase-again questions if the UI is not available but
    they have been preseeded (LP: #1386113).
 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 10 Mar 2015 22:29:37 -0400

Changed in ubiquity (Ubuntu Trusty):
status: Fix Committed → Fix Released
tags: added: amd64 utopic
removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers